# Uses of Enum Class
org.bukkit.block.data.type.PointedDripstone.Thickness

Packages that use PointedDripstone.Thickness
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of PointedDripstone.Thickness in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return PointedDripstone.Thickness
Modifier and Type
Method
Description
`@NotNull PointedDripstone.Thickness`
PointedDripstone.`getThickness()`
Gets the value of the 'thickness' property.
`static PointedDripstone.Thickness`
PointedDripstone.Thickness.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PointedDripstone.Thickness[]`
PointedDripstone.Thickness.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type PointedDripstone.Thickness
Modifier and Type
Method
Description
`void`
PointedDripstone.`setThickness(@NotNull PointedDripstone.Thickness thickness)`
Sets the value of the 'thickness' property.